| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - s -

- sbox : csScreenBoxResult
- scale : csGenerateImageTextureSingle
- scalepersecond : csParticleSystem
- scanRecursive : csPathsList::Entry
- SCF : iSCF
- scfObject : scfImplementationExt7< Class, Super, I1, I2, I3, I4, I5, I6, I7 >, scfImplementationExt6< Class, Super, I1, I2, I3, I4, I5, I6 >, scfImplementationExt5< Class, Super, I1, I2, I3, I4, I5 >, scfImplementationExt4< Class, Super, I1, I2, I3, I4 >, scfImplementationExt3< Class, Super, I1, I2, I3 >, scfImplementationExt2< Class, Super, I1, I2 >, scfImplementationExt1< Class, Super, I1 >, scfImplementationExt0< Class, Super >, scfImplementation< Class >
- scfParent : scfImplementation< Class >
- scfPool : scfImplementationPooled< Super >
- scfRefCount : scfImplementation< Class >
- scfWeakRefOwners : scfImplementation< Class >
- Scope : SYMBOL_INFOW, SYMBOL_INFO
- scratch : csIdentStrings
- screen_shot : csGraphics2DGLCommon
- screenH : CS::UberScreenshotMaker
- screenW : CS::UberScreenshotMaker
- sec : csFileTime
- Segment : ADDRESS64
- self : csPartialOrder< T >::Node, csBaseEventHandler
- self_destruct : csParticleSystem
- sendEvent : csEventQueue::iTypedFrameEventDispatcher
- sequence_id : csSequenceOp
- shader : csSimpleRenderMesh
- shades : csGradient
- shf_h : CS::PluginCommon::SoftShader::SoftwareTexture
- shf_w : CS::PluginCommon::SoftShader::SoftwareTexture
- shotView : CS::UberScreenshotMaker
- sides : csBox3::Outline
- Signature : MINIDUMP_HEADER
- size : csParasiticDataBufferBase, csMemFile
- Size : csPartialOrder< T >, SYMBOL_INFOW, SYMBOL_INFO, csStringBase
- size_central_directory : ZIP_end_central_dir_record
- SizeOfContext : MINIDUMP_THREAD_EX_CALLBACK, MINIDUMP_THREAD_CALLBACK
- SizeOfCvRecord : MINIDUMP_MODULE_CALLBACK
- SizeOfImage : MINIDUMP_MODULE_CALLBACK
- SizeOfMiscRecord : MINIDUMP_MODULE_CALLBACK
- SizeOfStruct : IMAGEHLP_LINEW64, IMAGEHLP_LINE64, IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64, SYMBOL_INFOW, SYMBOL_INFO
- sound_format : iSndSysSoftwareFilter3DProperties
- source_parameters : iSndSysSoftwareFilter3DProperties
- spans : CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >, CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >
- speaker_direction_cos : iSndSysSoftwareFilter3DProperties
- speaker_distance : iSndSysSoftwareFilter3DProperties
- specular : csLightProperties
- SpinLock : CS::SpinLock, csEventCord
- spline : csPath
- splitPos : csSubRectangles::SubRect
- splitType : csSubRectangles::SubRect
- spotFalloffInner : csLightProperties
- spotFalloffOuter : csLightProperties
- spr_factory : csParticleSystem
- sprite2ds : csParticleSystem
- sqdistance : csShortestDistanceResult, csTraceBeamResult
- src_bytes : CS::SndSys::PCMSampleConverter
- src_channels : CS::SndSys::PCMSampleConverter
- src_frequency : CS::SndSys::PCMSampleConverter
- ssPool : csGraphics2DGLCommon
- StackBase : MINIDUMP_THREAD_EX_CALLBACK, MINIDUMP_THREAD_CALLBACK
- StackEnd : MINIDUMP_THREAD_EX_CALLBACK, MINIDUMP_THREAD_CALLBACK
- StackOffset : IMAGEHLP_STACK_FRAME
- start : csPolygonRange, csFog
- start_x : csTestRectData
- startcol : csTestRectData
- startOffset : csRegExpMatch
- StartOfMemoryRange : MINIDUMP_MEMORY_DESCRIPTOR
- startrow : csTestRectData
- statecache : csGraphics2DGLCommon
- statecontext : csGraphics2DGLCommon
- StencilShadows : csGraphics3DCaps
- storage : scfArrayWrapConst< IF, Backend >, scfArrayWrap< IF, Backend >, scfArray< IF, Backend >
- str : csIdentStrings::csIdentString
- StreamDirectoryRva : MINIDUMP_HEADER
- StreamType : MINIDUMP_DIRECTORY
- stride : csRenderBuffer::Props
- stringCount : csIdentStrings
- strings : csIdentStrings, csShaderProgram
- style : OSXDelegate2D
- subtype : csImageIOFileFormatDescription
- superrect : csSubRectangles::SubRect
- SupportsPointSprites : csGraphics3DCaps
- swap_16 : CS::SndSys::PCMSampleConverter
- SymType : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- synldr : csBaseRenderStepLoader
- synsrv : csShaderProgram
- SystemRangeStart : KDHELP64